Holger's Java API

## com.antelmann.db
Class LoggerLoginListener

    java.lang.Object
      com.antelmann.db.LoggerLoginListener

All Implemented Interfaces:
  LoginListener, EventListener

    public class LoggerLoginListener

extends Object
implements LoginListener

a simple LoginListener that writes all events into the given Logger.

Since:
  15. November 2006, 23:41
Author:
  Holger Antelmann

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.LoginListener
`LoginListener.Adapter`

Constructor Summary
`LoggerLoginListener(Logger logger)`

Method Summary
`void` `failedLogin(UserLoginStore uls, String location, Exception exception)` called when a login was either canceled or failed due to an exception
`Logger` `getLogger()`
`void` `loginPerformed(UserLoginStore uls, User user, String location)` called when a user logged into the store
`void` `logoutPerformed(UserLoginStore uls, User user)` called when a user logged out
`void` `setLogger(Logger logger)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggerLoginListener

    public LoggerLoginListener(Logger logger)

Method Detail

### loginPerformed

    public void loginPerformed(UserLoginStore uls,
                               User user,
                               String location)

  Description copied from interface: `LoginListener`
  called when a user logged into the store

  Specified by:
    `loginPerformed` in interface `LoginListener`

### logoutPerformed

    public void logoutPerformed(UserLoginStore uls,
                                User user)

  Description copied from interface: `LoginListener`
  called when a user logged out

  Specified by:
    `logoutPerformed` in interface `LoginListener`

### failedLogin

    public void failedLogin(UserLoginStore uls,
                            String location,
                            Exception exception)

  Description copied from interface: `LoginListener`
  called when a login was either canceled or failed due to an exception

  Specified by:
    `failedLogin` in interface `LoginListener`
    `location` - denotes where the event occurred
    `exception` - is commonly either a `DatabaseException` or a `FailedLoginException`
  See Also:
    `DatabaseException`, `FailedLoginException`

### getLogger

    public Logger getLogger()

### setLogger

    public void setLogger(Logger logger)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads